summaryrefslogtreecommitdiff
path: root/script
diff options
context:
space:
mode:
authorCarlos Martín Nieto <cmn@dwim.me>2013-08-19 10:50:28 +0200
committerCarlos Martín Nieto <cmn@dwim.me>2013-08-19 10:50:28 +0200
commit6818080871db227c2586a102306832b41ea1c0df (patch)
treed012a2fe9709f0940903dd746df71226a6d1fce8 /script
parent8f81ea45ca107c992313f76ee73316f16751e64e (diff)
downloadlibgit2-6818080871db227c2586a102306832b41ea1c0df.tar.gz
travis: really fail if the tests fail
When implementing the ssh testing, the move to the script made it so the first test suite's exit code was ignored. Check whether the main tests fail and exit with an error in that case.
Diffstat (limited to 'script')
-rwxr-xr-xscript/cibuild.sh5
1 files changed, 5 insertions, 0 deletions
diff --git a/script/cibuild.sh b/script/cibuild.sh
index 722b3349d..2b8d1af08 100755
--- a/script/cibuild.sh
+++ b/script/cibuild.sh
@@ -11,6 +11,11 @@ cd _build
cmake .. -DCMAKE_INSTALL_PREFIX=../_install $OPTIONS
cmake --build . --target install
ctest -V .
+ecode=$?
+
+if [ $ecode -ne 0 ]; then
+ exit $ecode
+fi
# Now that we've tested the raw git protocol, let's set up ssh to we
# can do the push tests over it